%define upstream_name File_IMC
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.5.0
Release:     	%mkrel 6
Summary:    	Create and parse Internet Mail Consortium-style files (like vCard and vCalendar)
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_IMC-%{version}.tgz
URL: 		http://pear.php.net/package/File_IMC
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Allows you to programmatically create a vCard or vCalendar, and fetch the
text.

IMPORTANT: The array structure has changed slightly from
Contact_Vcard_Parse.
See the example output for the new structure.  Also different from
Contact_Vcard
is the use of a factory pattern.  Again, see the examples.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_IMC.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_IMC.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_IMC
fi

%files
%doc docs/File_IMC/*
%{peardir}/*
%{xmldir}/File_IMC.xml


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.5.0-6.mga6
+ Revision: 939320
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 741129
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.5.0-4.mga5
+ Revision: 734043
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 687250
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 528013
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.5.0-1.mga4
+ Revision: 443183
- upgrade to version 0.5.0

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-2.mga3
+ Revision: 376131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 spuhler <spuhler> 0.4.3-1.mga2
+ Revision: 218427
- upgrade to 0.4.3
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 0.3-11.mga1
+ Revision: 47396
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-File_IMC


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3-11mdv2011.0
+ Revision: 613659
- the mass rebuild of 2010.1 packages

* Mon Dec 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3-10mdv2010.1
+ Revision: 478669
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.3-9mdv2010.0
+ Revision: 441071
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3-8mdv2009.0
+ Revision: 236839
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.3-7mdv2008.1
+ Revision: 136404
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-7mdv2007.0
+ Revision: 81582
- Import php-pear-File_IMC

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdk
- initial Mandriva package (PLD import)

